# Class Capabilities.Unavailable

java.lang.Object
java.lang.Throwable
java.lang.Exception
bsh.UtilEvalError
bsh.Capabilities.Unavailable

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Capabilities`

public static class Capabilities.Unavailable extends UtilEvalError
An attempt was made to use an unavailable capability supported by an optional package. The normal operation is to test before attempting to use these packages... so this is runtime exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Unavailable(String s)`

## Method Summary

### Methods inherited from class UtilEvalError

`toEvalError, toEvalError`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Unavailable

public Unavailable(String s)